VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3660
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8565
   LinkTopic       =   "Form1"
   ScaleHeight     =   3660
   ScaleWidth      =   8565
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdMakeWindowed 
      Caption         =   "Make Windowed"
      Height          =   495
      Left            =   1680
      TabIndex        =   3
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CommandButton cmdMakeWindowless 
      Caption         =   "Make Windowless"
      Height          =   495
      Left            =   240
      TabIndex        =   2
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CommandButton cmdRefresh 
      Caption         =   "Refresh"
      Height          =   495
      Left            =   3120
      TabIndex        =   1
      Top             =   3120
      Width           =   1215
   End
   Begin VB.Label Label2 
      Caption         =   "Label2"
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3015
      Left            =   4200
      TabIndex        =   4
      Top             =   120
      Width           =   1695
   End
   Begin VB.Label Label1 
      Caption         =   "Label2"
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3015
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3975
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Type MEMORYSTATUS
    dwLength As Long        ' Size of MEMORYSTATUS
    dwMemoryLoad As Long    ' % of memory in use
    dwTotalPhys As Long     ' Total bytes of physical memory
    dwAvailPhys As Long     ' Bytes of free physical memory
    dwTotalPageFile As Long ' Bytes in paging file
    dwAvailPageFile As Long ' Free bytes in paging file
    dwTotalVirtual As Long  ' User bytes of address space
    dwAvailVirtual As Long  ' Free user bytes
End Type
Private Declare Sub GlobalMemoryStatus Lib "kernel32" (lpBuffer As MEMORYSTATUS)

Private Sub ShowStatistics()
Static old_mem As MEMORYSTATUS
Dim mem As MEMORYSTATUS
Dim txt As String

    GlobalMemoryStatus mem

    With mem
        txt = txt & "% used:                " & Format$(.dwMemoryLoad, "@@@@@@@@@@@") & vbCrLf
        txt = txt & "Total physical memory: " & Format$(.dwTotalPhys, "@@@@@@@@@@@") & vbCrLf
        txt = txt & "Physical memory free:  " & Format$(.dwAvailPhys, "@@@@@@@@@@@") & vbCrLf
        txt = txt & "Total page file size:  " & Format$(.dwTotalPageFile, "@@@@@@@@@@@") & vbCrLf
        txt = txt & "Free page file size:   " & Format$(.dwAvailPageFile, "@@@@@@@@@@@") & vbCrLf
        txt = txt & "Total virtual memory:  " & Format$(.dwTotalVirtual, "@@@@@@@@@@@") & vbCrLf
        txt = txt & "Free virtual memory:   " & Format$(.dwAvailVirtual, "@@@@@@@@@@@") & vbCrLf
    End With
    Label1.Caption = txt

    If old_mem.dwMemoryLoad > 0 Then
        txt = ""
        txt = txt & Format$(mem.dwMemoryLoad - old_mem.dwMemoryLoad, "@@@@@@@@@@@") & vbCrLf
        txt = txt & Format$(mem.dwTotalPhys - old_mem.dwTotalPhys, "@@@@@@@@@@@") & vbCrLf
        txt = txt & Format$(mem.dwAvailPhys - old_mem.dwAvailPhys, "@@@@@@@@@@@") & vbCrLf
        txt = txt & Format$(mem.dwTotalPageFile - old_mem.dwTotalPageFile, "@@@@@@@@@@@") & vbCrLf
        txt = txt & Format$(mem.dwAvailPageFile - old_mem.dwAvailPageFile, "@@@@@@@@@@@") & vbCrLf
        txt = txt & Format$(mem.dwTotalVirtual - old_mem.dwTotalVirtual, "@@@@@@@@@@@") & vbCrLf
        txt = txt & Format$(mem.dwAvailVirtual - old_mem.dwAvailVirtual, "@@@@@@@@@@@") & vbCrLf
        Label2.Caption = txt
    End If
    old_mem = mem
End Sub
Private Sub cmdMakeWindowed_Click()
Dim ctl As Control

    If cmdMakeWindowed.Caption = "Remove Windowed" Then
        Me.Controls.Remove "windowed_control"
        cmdMakeWindowed.Caption = "Make Windowed"
    Else
        Set ctl = Me.Controls.Add("Project1.WindowedControl", "windowed_control")
        With ctl
            .Move Label2.Left + Label2.Width, Label2.Top
            .Visible = True
        End With
        cmdMakeWindowed.Caption = "Remove Windowed"
    End If

    DoEvents
    ShowStatistics
End Sub
Private Sub cmdMakeWindowless_Click()
Dim ctl As Control

    If cmdMakeWindowless.Caption = "Remove Windowless" Then
        Me.Controls.Remove "Windowless_control"
        cmdMakeWindowless.Caption = "Make Windowless"
    Else
        Set ctl = Me.Controls.Add("Project1.WindowlessControl", "windowless_control")
        With ctl
            .Move Label2.Left + Label2.Width, Label2.Top
            .Visible = True
        End With
        cmdMakeWindowless.Caption = "Remove Windowless"
    End If

    DoEvents
    ShowStatistics
End Sub
Private Sub cmdRefresh_Click()
    ShowStatistics
End Sub


Private Sub Form_Load()
    ShowStatistics
End Sub
